> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/api-abi/core-smart-contracts/ikyberdao.md).

# IKyberDao

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

For the most updated information, please refer to:

* [**`Classic`**](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/api-abi/core-smart-contracts/broken-reference/README.md)
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](broken://pages/DCqb2Gq8yk2f2UIjmGEs)
* [**`Aggregator`**](broken://pages/P4AAjSd0nrbC42bSddka)
  {% endhint %}

## interface IKyberDao

is [IEpochUtils](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-iepochutils.md) imports [IEpochUtils](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-iepochutils.md)

*Source*: [IKyberDao.sol](https://github.com/KyberNetwork/smart-contracts/blob/master/contracts/sol6/IKyberDao.sol)

***

### INDEX[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-ikyberdao#index) <a href="#index" id="index"></a>

\<AUTOGENERATED\_TABLE\_OF\_CONTENTS>

### REFERENCE[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-ikyberdao#reference) <a href="#reference" id="reference"></a>

#### Events[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-ikyberdao#events) <a href="#events" id="events"></a>

#### `Voted`[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-ikyberdao#voted) <a href="#voted" id="voted"></a>

Event logging the voting of a campaign at epoch.

***

event **Voted**(address staker, uint256 epoch, uint256 campaignID, uint256 option) | Parameter | Type | Description | | --------- |:-----:|:-----------:| | `staker` | address | staker's address | | `epoch` | uint256 | epoch number where campaign was voted | | `campaignID` | uint256 | campaign's ID | | `option` | uint256 | ID of option voted for | Signature: 0xc32b42768a47a585121e9b8d7a2ab9d3f34c326a192dee11ee1732e3d18313f3

\\

#### Functions[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-ikyberdao#functions) <a href="#functions" id="functions"></a>

#### `vote`[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-ikyberdao#vote) <a href="#vote" id="vote"></a>

Votes for an option of a campaign, where options are indexed from 1 to N number of options.

***

function **vote**(uint256 campaignID, uint256 option) external | Parameter | Type | Description | | --------- |:-----:|:-----------:| | `campaignID` | uint256 | ID of campaign | | `option` | uint256 | ID of option |

\
\### \`getLatestNetworkFeeData\` Returns the latest network fee data and expiry timestamp. \_\_\_ function \_\_getLatestNetworkFeeData\_\_() external view returns (uint256 feeInBps, uint256 expiryTimestamp)\ \*\*Returns:\*\*\ feeInBps - network fee in BPS expiryTimestamp - the timestamp when the fee will expire and needs to be updated\
\### \`shouldBurnRewardForEpoch\` Since some epochs have rewards but no one can claim it, return true if those rewards should be burned. \_\_\_ function \_\_shouldBurnRewardForEpoch\_\_(uint256 epoch) external view returns (bool) | Parameter | Type | Description | | --------- |:-----:|:-----------:| | \`epoch\` | uint256 | epoch number to check | \*\*Returns:\*\*\ \`true\` if rewards should be burned for the epoch, \`false\` otherwise\
\### \`getPastEpochRewardPercentageInPrecision\` Returns the staker's reward percentage in precision for a past epoch only. \_\_\_ function \_\_getPastEpochRewardPercentageInPrecision\_\_(address staker, uint256 epoch) external view returns (uint256) | Parameter | Type | Description | | --------- |:-----:|:-----------:| | \`staker\` | address | staker's address | | \`epoch\` | uint256 | past epoch number | \*\*Returns:\*\*\ Past epoch reward percentage in precision for the staker\
\### \`getCurrentEpochRewardPercentageInPrecision\` Returns the staker's reward percentage in precision for the current epoch. Reward percentage is not finalized until the current epoch has ended. \_\_\_ function \_\_getCurrentEpochRewardPercentageInPrecision\_\_(address staker) external view returns (uint256) | Parameter | Type | Description | | --------- |:-----:|:-----------:| | \`staker\` | address | staker's address | \*\*Returns:\*\*\ Current epoch reward percentage in precision for the staker


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kyberswap.com/reference/legacy/api-abi/core-smart-contracts/ikyberdao.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
